export const useDetailStore = defineStore('detailStore', () => {
  const companyId = ref('')
  const menuInfo = ref({
    menuIndex : '0',
    menuId : 'menu02',
    pageRtName : '미디어 관리',
    pageStatus : '0',
  })

  
  

  const boardInfo = ref({
    seq : '',
    pageType : '',
    status: '',
  })

  const adminInfo = ref({
    adminId : '',
    pageType : ''
  })


  const getCompanyId = computed(()=>companyId.value)  



  function setAccountId(payload){
    getCompanyId.value = payload
  }

  return {companyId, getCompanyId, menuInfo, boardInfo, setAccountId, adminInfo}
}, {persist: { storage: persistedState.sessionStorage,}})